Resume an Eino AI interrupt
POST
/v1/ai/runs/{runID}/interrupts/{interruptID}/rejectAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
runIDstringrequiredinterruptIDstringrequiredRequest body
requiredapplication/jsondataobjectResponses
200OK
interrupt_idstringrequiredoutputRunOutputrequiredShow propertiesHide properties
DraftstringrequiredErrorMessagestring | nullrequiredInterruptIDstring | nullrequiredInterruptRequestobjectrequiredKnowledgeChunksKnowledgeChunk[] | nullrequiredShow propertiesHide properties
Array of
KnowledgeChunkContentstringrequiredScorenumber<double>requiredSourceIDstringrequiredSourceTitlestringrequiredSourceURLstringrequiredOutcomestringrequiredRoutestringrequiredSentMessageIDstring | nullrequiredSkillKeystringrequiredStatusstringrequiredToolResultsobjectrequiredValidateOKboolean | nullrequiredValidateReasonstringrequiredrun_idstringrequiredstatusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/ai/runs/string/interrupts/string/reject" \
-H "Content-Type: application/json" \
-d '{
"data": {}
}'const response = await fetch("/v1/ai/runs/string/interrupts/string/reject", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"data": {}
})
});import requests
response = requests.post(
"/v1/ai/runs/string/interrupts/string/reject",
headers={
"Content-Type": "application/json"
},
json={
"data": {}
},
)Response
{
"interrupt_id": "string",
"output": {
"Draft": "string",
"ErrorMessage": "string",
"InterruptID": "string",
"InterruptRequest": {},
"KnowledgeChunks": [
{
"Content": "string",
"Score": 0,
"SourceID": "string",
"SourceTitle": "string",
"SourceURL": "string"
}
],
"Outcome": "string",
"Route": "string",
"SentMessageID": "string",
"SkillKey": "string",
"Status": "string",
"ToolResults": {},
"ValidateOK": true,
"ValidateReason": "string"
},
"run_id": "string",
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}